#!/bin/sh

docker volume create firefly_iii_export
docker volume create firefly_iii_upload

CONTAINER_NAME=Firefly
CONTAINER_TEST=$(docker ps -a | grep ${CONTAINER_NAME} | awk '{print $1}')

if [ -n $CONTAINER_TEST ]; then
	docker rm -f ${CONTAINER_NAME}
fi

APP_KEY=$(hexdump -n 16 -e '4/4 "%08X" 1 "\n"' /dev/random)
DB_PORT=5432
DB_CONNECTION=pgsql
DB_DATABASE=fireflydb
DB_USERNAME=firefly
DB_PASSWORD=secret_firefly_password
DB_HOST=$AS_NAS_INET4_ADDR_0
if [ -z "$DB_HOST" ]; then
    DB_HOST=$AS_NAS_INET4_ADDR_1
fi
docker create --name=${CONTAINER_NAME} \
    -v firefly_iii_export:/var/www/firefly-iii/storage/export \
    -v firefly_iii_upload:/var/www/firefly-iii/storage/upload \
	-p 32000:80 \
	-p 32001:443 \
    -e APP_KEY=$APP_KEY \
    -e DB_CONNECTION=$DB_CONNECTION \
    -e DB_HOST=$DB_HOST \
    -e DB_PORT=$DB_PORT \
    -e DB_DATABASE=$DB_DATABASE \
    -e DB_USERNAME=$DB_USERNAME \
    -e DB_PASSWORD=$DB_PASSWORD \
    jc5x/firefly-iii:latest

docker start $CONTAINER_NAME
sleep 5

exit 0
